<Project>
  <PropertyGroup>
    <VersionPrefix>6.4.4</VersionPrefix>
    <PreReleaseVersionLabel>servicing</PreReleaseVersionLabel>
    <SemanticVersioningV1>True</SemanticVersioningV1>
    <IncludeSourceRevisionInInformationalVersion>False</IncludeSourceRevisionInInformationalVersion>
    <UsingToolNetFrameworkReferenceAssemblies>True</UsingToolNetFrameworkReferenceAssemblies>
    <UsingToolXliff>False</UsingToolXliff>
    <!--
        When StabilizePackageVersion is set to 'true', this branch will produce stable outputs for 'Shipping' packages
    -->
    <StabilizePackageVersion Condition="'$(StabilizePackageVersion)' == ''">true</StabilizePackageVersion>
    <DotNetFinalVersionKind Condition="'$(StabilizePackageVersion)' == 'true'">release</DotNetFinalVersionKind>
  </PropertyGroup>
  <PropertyGroup Label="Dependencies from nuget.org">
    <MicrosoftBuildFrameworkVersion>16.0.461</MicrosoftBuildFrameworkVersion>
    <MicrosoftBuildUtilitiesCoreVersion>16.0.461</MicrosoftBuildUtilitiesCoreVersion>
    <MicrosoftSqlServerCompactVersion>4.0.8876.1</MicrosoftSqlServerCompactVersion>
    <MicrosoftSqlServerTypesVersion>14.0.1016.290</MicrosoftSqlServerTypesVersion>
    <MoqVersion>4.7.145</MoqVersion>
    <MySqlDataEntityVersion>6.7.2-beta-ef6</MySqlDataEntityVersion>
  </PropertyGroup>
  <PropertyGroup Label="Dependencies from dotnet/corefx">
    <MicrosoftCSharpVersion>4.7.0</MicrosoftCSharpVersion>
    <SystemCodeDomVersion>4.7.0</SystemCodeDomVersion>
    <SystemComponentModelAnnotationsVersion>4.7.0</SystemComponentModelAnnotationsVersion>
    <SystemConfigurationConfigurationManagerVersion>4.7.0</SystemConfigurationConfigurationManagerVersion>
    <SystemDataSqlClientVersion>4.8.1</SystemDataSqlClientVersion>
  </PropertyGroup>
  <PropertyGroup Label="Dependencies from dotnet/core-setup">
    <MicrosoftNETCoreAppRefPackageVersion>3.1.0</MicrosoftNETCoreAppRefPackageVersion>
    <MicrosoftNETCoreAppRuntimewinx64PackageVersion>3.1.4</MicrosoftNETCoreAppRuntimewinx64PackageVersion>
    <MicrosoftNETCoreAppInternalPackageVersion>3.1.4-servicing.20221.3</MicrosoftNETCoreAppInternalPackageVersion>
  </PropertyGroup>
  <PropertyGroup Label="Dependency version settings">
    <!--
      Win-x64 is used here because we have picked an arbitrary runtime identifier to flow the version of the latest NETCore.App runtime.
      All Runtime.$rid packages should have the same version.
    -->
    <MicrosoftNETCoreAppRuntimeVersion>$(MicrosoftNETCoreAppRuntimewinx64PackageVersion)</MicrosoftNETCoreAppRuntimeVersion>
  </PropertyGroup>
</Project>
